import Taro from '@tarojs/taro'
import { View } from '@tarojs/components'
import RecommendedCard from '@/components/foodCards/RecommendedCard'
import SpinBox from "@/components/Spin/SpinBox";
import { useState, useEffect,useRef } from 'react'
import {  getRecommendList } from '@/services/travel'
import './style.css'


export default (props) => {
  const { frameTitle, onRecommend, flag, ico, textNext, location, dayNumber, travelId, handelAddTravel } = props

  let wrapAnimate = 'wrap wrapAnimate'
  let frameAnimate = 'frame-wrapper'
  const [textNextSum, setTextNext] = useState(1)
  const [recommendContent, setRecommendContent] = useState([])
  const [loading, setLoading] = useState(false)

  const hideFrame = () => {
    onRecommend()
  }

  useEffect(() => {
    setLoading(true)
    getRecommendList({ location: location, pageNum: textNextSum, pageSize: 3 }).then(e => {
      setRecommendContent(e.records)
      setLoading(false)
    }).catch(s => {
      setLoading(false)
    })
  }, [location, textNextSum])

  //用来让下面的小图标旋转
  const rotateRef=useRef()
  const [r,setR]=useState(90)
  //换一批
  const handleTextNext = (e) => {
    rotateRef.current.style.transform=`rotate(${r}deg)`
    setR(r+90)
    setTextNext(textNextSum + 1)
    e.stopPropagation()
  }

  return (
    flag && <view>
      <view className={wrapAnimate} style='background:rgba(0,0,0,0);'></view>
      <view onClick={hideFrame} className={frameAnimate}>
        <view className='frame'>
          {/* 标题  */}
          <view className='title-wrapper '>
            <view>{frameTitle}</view>
          </view>
          {/* 内容 */}
          <View style='overflow-x: hidden;'>
            <SpinBox loading={loading}>
              {
                recommendContent.map((item, index) =>
                  <RecommendedCard key={index} item={item} det={item} editable='1' location={location} travelId={travelId} dayNumber={dayNumber} handelAddTravel={handelAddTravel} />
                )
              }
              {props.children}
            </SpinBox>
            <view className='bottom-text' onClick={handleTextNext}>
              <image ref={rotateRef} src={ico} />
              <text>{textNext}</text>
            </view>
          </View>
        </view>
      </view>
    </view>
  )
}